NAME
    refcheck - berprft die Konsistenz der ALL.REF ($REF) des ST-Guide

SYNOPSIS
    refcheck [-adghik]

BESCHREIBUNG
    Zuerst liest REFCHECK aus der Datei ST-GUIDE.INF die Variablen PATHS und
    REF. Die in der Variablen REF stehende REF-Datei, ist die von REFLINK
    erzeugte 'REF-Bibliothek' (z.B. ALL.REF). Diese wird geladen und auf
    ihre Korrektheit und Aktualitt berprft.

    Dazu werden alle HYP-Dateien, die sich in den hinter PATHS angegebenen
    Pfaden befinden, gesucht, mit der ALL.REF verglichen und in der ALL.REF
    berflssige Module (zu denen keine HYP-Datei existiert) angezeigt.
    Evtl. vorhandene (und zu den HYPs passende) REF-Dateien werden auf
    Aktualitt und Existenz in der ALL.REF berprft. Auf Wunsch wird die
    ALL.REF durch Aufruf von REFLINK mit der entsprechenden Kommandozeile
    automatisch aktualisiert.

    REFCHECK verarbeitet maximal 1000 HYP-Dateien/Module. Was passiert, wenn
    es mehr sind, ist undefiniert!

    Um die Bildschirm-Ausgaben von REFCHECK in eine Datei zu schreiben,
    benutzen Sie eine Kommando-Shell mit Ausgabeumlenkung (z.B. Mupfel)!

    Bei Fragen ber den Sinn und Zweck von REF-Dateien, ST-GUIDE.INF,
    REFLINK usw. lesen Sie bitte die Anleitungen zum ST-Guide-System!

OPTIONEN
    -a  (add)
        Neue bzw. aktuellere REF-Dateien in PATHS automatisch in $REF
        aufnehmen bzw. aktualisieren.

    -d  (delete)
        Bei in PATHS nicht mehr vorhandenen HYP-Dateien automatisch die
        dazu gehrenden Module aus $REF lschen.

    -g  (global)
        Alle in $PATHS gefundenen REF-Dateien in $REF aufnehmen bzw.
        aktualisieren, egal ob schon vorhanden und/oder gleiche Modullnge.

    -h  (hold)
        Am Ende auf Tastendruck warten.

    -i  (interactive)
        Bei a/d/g einzeln nachfragen. Dabei wird jeweils die Kommandozeile
        fr REFLINK angezeigt und gefragt, ob REFLINK gestartet werden soll.
        Man kann whlen zwischen:
        J: REFLINK starten (auch Return, deshalb ein groes "j")
        n: REFLINK nicht starten
        a: wie "J" und alle weiteren REFLINK-Aufrufe ohne Nachfrage
        q: wie "n" und keine weiteren REFLINK-Aufrufe mehr

     -k (kill)
        Bei a/d die REF-Dateien nach erfolgreicher Aufnahme/Aktualisierung
        automatisch lschen.

    (PATHS und REF aus ST-GUIDE.INF!)

    Bei unbekannten Optionen (z.B. -?) wird eine Hilfe ausgegeben!

BEISPIELE
    refcheck
        Die Ergebnisse werden nur am Bildschirm angezeigt (evtl. -h setzen).
        Es finden keine Schreibzugriffe statt. Hiermit kann man sich also
        erstmal einen berblick verschaffen.

    refcheck -ad
        Die ALL.REF wird automatisch und ohne Nachfragen auf den neuesten
        Stand gebracht.

    refcheck -g
        refcheck erkennt genderte Module mit der Option -a nur daran, da
        sich die Modullnge gendert hat. Will man ganz sicher gehen, kann
        man mit der Option -g ALLE REF-Dateien nochmal neu in die ALL.REF
        schreiben lassen. Anschlieend enthlt diese auf jeden Fall alle
        aktuellen REF-Dateien! Wenn man viele Hypertexte mit REF-Dateien
        hat, kann das natrlich etwas lnger dauern!

DATEIEN
    ST-GUIDE.INF
        Mu sich im HOME-Directory oder im Wurzelverzeichnis des
        Bootlaufwerkes befinden.

    REFLINK.TTP
        Wird evtl. von REFCHECK gestartet. Wenn eine Shell im System
        angemeldet ist, wird der Aufruf an diese bergeben (system()),
        ansonsten mu REFLINK entweder im aktuellen Verzeichnis oder in
        einem der Pfade der Environmentvariablen PATH zu finden sein!

ENVIRONMENT
    PATH
        Wird bei der Suche nach REFLINK.TTP ausgewertet.

VERSIONEN
    1.0 - Erstverffentlichung.
    1.1 - Compiliert mit hcc 2.00x23 und gelinkt mit den neuen XDLibs aus
          dem Sozobon-Release 07.
        - Sollte jetzt auch mit Alias-Programmen unter Gemini zurechtkommen
          (reflink.ttp), da zuerst versucht wird, das Programm mit system()
          zu starten.
        - Bugfix: Ein lokales Array war zu gro fr den Stack. Eigentlich
          htte das Programm abstrzen mssen. Warum es trotzdem lief,
          wei ich auch nicht;-)
        - In den Beipielen der man page stand "reflink" statt "refcheck".
        - Man page jetzt auch als Hypertext REFCHECK.HYP.
        - Modulnamen wurden evtl. nicht in voller Lnge verglichen. Z.B.
          wurde beim Modul "aip" irrtmlich auch "aip_auto" oder "aip_prog"
          erkannt!
        - Neues Konzept: Es wird nicht mehr nach REF-Dateien, sondern nach
          HYP-Dateien und dann erst nach der passenden REF-Datei gesucht!
          Dadurch funktioniert der Schalter -d jetzt auch, wenn man nur mit
          der ALL.REF arbeitet und die Module werden nicht gelscht. Nur,
          wenn die HYP-Datei fehlt, wird ein Modul aus der ALL.REF gelscht!
        - Maximale Anzahl der HYP-Dateien auf 1024 erhht (bisher 200). Ich
          denke, das sollte frs erste ausreichen!
    1.2 - Neue Option -k. Hiermit werden die REF-Dateien nach erfolgreicher
          Aktualisierung/Aufnahme von der Platte gelscht! Besonders
          geeignet fr diejenigen, die nur mit der ALL.REF arbeiten!
        - Optionsbeschreibung im Usage-Text an die man page angepat.
        - Wenn die Environmentvariable HOME existiert, wird die ST-GUIDE.INF
          zuerst dort gesucht.
   1.21 - Starten von REFLINK funktionierte nicht richtig, wenn weder eine
          Shell gefunden wurde, noch die System-Environmentvariable PATH
          existierte oder einen gltigen Pfad fr REFLINK enthielt. Im
          aktuellen Verzeichnis wurde auch nicht gesucht. Jetzt wird, wenn
          keine Shell existiert, zuerst im aktuellen Verzeichnis gesucht und
          erst wenn das fehlschgt, wird REFLINK mit spawnlp() gestartet.

COPYRIGHT
    REFCHECK ist Freeware, d.h. das Programm darf beliebig  weitergegeben
    werden, allerdings nur unverndert und komplett mit allen Dateien.

DISCLAIMER
    Ich bernehme keine Haftung fr Schden jeglicher Art, die durch die
    Benutzung oder Nicht-Benutzung von REFCHECK entstanden sind.

AUTOR
    Frank Rger
    Tecklenburger Strae 21
    D-49525 Lengerich

    email: Frank Rger @ OS2 im Mausnetz bzw.
           Frank_Rueger@os2.maus.de aus dem InterNet
